#!/usr/bin/perl -w

use strict;
use Socket;
use Sys::Hostname;

my ($myiaddr, $mypaddr, $serviaddr, $servpaddr, $mesg);

$myiaddr = gethostbyname(hostname() );
$mypaddr = sockaddr_in(0, $myiaddr);
if (!socket(S, PF_INET, SOCK_DGRAM, 0) ) {
	print(STDERR "$0: socket(): $!\n");
	exit(1);
}
if (!bind(S, $mypaddr) ) {
	print(STDERR "$0: bind(): $!\n");
	close(S);
	exit(1);
}
$serviaddr = inet_aton($ARGV[0] );
$servpaddr = sockaddr_in($ARGV[1], $serviaddr);
$mesg = "";
while ( <STDIN> ) {
	$mesg = $mesg.$_;
}
send(S, $mesg, 0, $servpaddr);
close(S);
exit(0);
